Subject: Re: Thompson & Morgan

From: [email-masked] (Diveanddig)
Date: 18 Feb 1995 20:55:11 -0500

M&T = Overpriced seed, small quantites, and if you order some of the less
popular seeds, they will not be very fresh and will not germinate well.  I
wish they would date the seed packets.  I have tried them twice and have
had very poor results on some of the more exotic seeds. I have been
starting almost everything from seed for the past 25 years.   Other
suppliers of the same seed have had much better germination.  This opinion
is shared by many in my gardening club.  Parks and Stokes have better
quality and larger portions  for much less money.

Bill Bird